Bug 588594 - multipathd: error calling out /sbin/mpath_prio_alua /dev/sdt
multipathd: error calling out /sbin/mpath_prio_alua /dev/sdt
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: distribution (Show other bugs)
4.6
ia64 Linux
low Severity high
: rc
: ---
Assigned To: RHEL Product and Program Management
Radek Bíba
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 22:46 EDT by yizeng
Modified: 2012-06-20 11:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yizeng 2010-05-03 22:46:25 EDT
Description of problem:
a QLA2462 HBA with two ports attached to IBM SVC via brocade swith,when disabling one port of the swith,one path became fail, after enabling this port,the path can't recovery, in /var/log/mesage, always print 
multipathd: error calling out /sbin/mpath_prio_alua /dev/sdt

Version-Release number of selected component (if applicable):
2.6.9-67.EL #1 SMP Wed Nov 7 13:43:35 EST 2007 ia64 ia64 ia64 GNU/Linux

# rpm -qa | grep mapper
device-mapper-multipath-0.4.5-27.RHEL4
device-mapper-1.02.21-1.el4

How reproducible:


Steps to Reproduce:
1.disable one port of switch attach to the IBM SVC
2.the path is fail
3.enable this port 
  
Actual results:
#multipath -l path14
path14 (360050768018082ddc00000000000098c)
[size=1 GB][features="1 queue_if_no_path"][hwhandler="0"]
\_ round-robin 0 [enabled]
 \_ 3:0:0:1  sdt  65:48  [failed][faulty]
\_ round-robin 0 [enabled]
 \_ 2:0:0:1  sdc  8:32   [active]

one path of LUN  failed and after enable the port with this path, path can't recovery. but the other paths is ok, for example :
path1 (360050768018082ddc000000000000993)
[size=1 GB][features="1 queue_if_no_path"][hwhandler="0"]
\_ round-robin 0 [enabled]
 \_ 2:0:0:8  sdj  8:144  [active]
\_ round-robin 0 [enabled]
 \_ 3:0:0:8  sdaa 65:160 [active]




Expected results:
all paths recovery correctly after the port enabled.

Additional info:
in /var/log/message, always print 

 kernel: device-mapper: dm-multipath: Failing path 65:144.
May  3 09:30:56 archprx26k46328 kernel: end_request: I/O error, dev sdz, sector 996112
May  3 09:30:56 archprx26k46328 multipathd: 65:144: mark as failed
May  3 09:30:56 archprx26k46328 multipathd: path3: remaining active paths: 1


actually the two paths are OK
Comment 1 william 2011-05-01 13:58:32 EDT
Hi, I've got a similar behavior on 4.8.

Linux b25lciapp48.con.can.ibm.com 2.6.9-89.ELlargesmp #1 SMP Mon Apr 20 10:43:12 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

Red Hat Enterprise Linux AS release 4 (Nahant Update 8)

device-mapper-multipath-0.4.5-35.el4
device-mapper-1.02.28-2.el4

--

We've been seeing messages like this for quite a while:

multipathd: error calling out /sbin/mpath_prio_alua /dev/sdj

Unfortunately it took a while to discover this problem w/ the machine and we lost the early entries.
Comment 2 Jiri Pallich 2012-06-20 11:59:44 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.